summaryrefslogtreecommitdiffstats
path: root/source/l/serf/serf.SlackBuild
diff options
context:
space:
mode:
author Patrick J Volkerding <volkerdi@slackware.com>2023-03-13 03:01:54 +0000
committer Eric Hameleers <alien@slackware.com>2023-03-13 06:35:57 +0100
commit52e0d46f007bff2e4118bf4928e7f8c05e876364 (patch)
tree6eec74c903d854420d9ffdeb31351caf9ed99801 /source/l/serf/serf.SlackBuild
parent5a348bc72999b2b0485a6ebbd831138b94f5a351 (diff)
downloadcurrent-52e0d46f007bff2e4118bf4928e7f8c05e876364.tar.gz
current-52e0d46f007bff2e4118bf4928e7f8c05e876364.tar.xz
Mon Mar 13 03:01:54 UTC 202320230313030154
kde/digikam-7.10.0-x86_64-1.txz: Upgraded. l/serf-1.3.9-x86_64-9.txz: Rebuilt. Applied a patch from LFS to fix a build error in Subversion caused by serf using internal OpenSSL API functions for its own use. Also fixes a crash bug that happens due to a return value being invalid. Thanks to lucabon. x/xcb-imdkit-1.0.5-x86_64-1.txz: Upgraded.
Diffstat (limited to '')
-rwxr-xr-xsource/l/serf/serf.SlackBuild7
1 files changed, 5 insertions, 2 deletions
diff --git a/source/l/serf/serf.SlackBuild b/source/l/serf/serf.SlackBuild
index 8e17a0e21..924972640 100755
--- a/source/l/serf/serf.SlackBuild
+++ b/source/l/serf/serf.SlackBuild
@@ -3,7 +3,7 @@
# Slackware build script for serf
# Copyright 2014 Andrzej Telszewski, Sabadell
-# Copyright 2015, 2018 Patrick J. Volkerding, Sebeka, MN, USA
+# Copyright 2015, 2018, 2023 Patrick J. Volkerding, Sebeka, MN, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -27,7 +27,7 @@ cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=serf
VERSION=${VERSION:-$(echo serf-*.tar.?z* | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
-BUILD=${BUILD:-8}
+BUILD=${BUILD:-9}
# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
@@ -88,6 +88,9 @@ sed -i "/Alias/s:install_static,::" SConstruct
# Fix for python3 based scons:
zcat $CWD/serf.SConstruct.python3.diff.gz | patch -p1 --verbose || exit 1
+# Fix for openssl3:
+zcat $CWD/serf-1.3.9-openssl3_fixes-1.patch.gz | patch -p1 --verbose || exit 1
+
scons $NUMJOBS \
PREFIX=/usr \
LIBDIR=/usr/lib${LIBDIRSUFFIX} \